socket_mcttl4(3)

NAME
socket_mcttl4 - set multicast ttl

SYNTAX
#include <libowfat/socket.h> int socket_mcttl4(int s,char TTL);

DESCRIPTION
socket_mcttl4 sets the TTL of outgoing multicast packets on the socket s. Each router decrements the packet TTL by one and discards the packet if the TTL reaches zero. Setting the TTL to 1, for example, will limit the packet propagation to the LAN. If something goes wrong, socket_mcttl4 returns -1, setting errno appropriately.

SEE ALSO
socket_mcttl6(3), socket_mcjoin4(3), socket_mcleave4(3)